Bug 176165 - seg fault when -c fenced flag is used without action
seg fault when -c fenced flag is used without action
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 14:41 EST by Corey Marthaler
Modified: 2009-04-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0242
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:53:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-12-19 14:41:48 EST
Description of problem:
[root@taft-04 ~]# fence_tool -h
Usage:

fence_tool <join|leave|wait> [options]

Actions:
  join             Join the default fence domain
  leave            Leave default fence domain
  wait             Wait for node to be member of default fence domain

Options:
  -w               Wait for join to complete
  -V               Print program version information, then exit
  -h               Print this help, then exit
  -Q               Fail if cluster is not quorate, don't wait
  -D               Enable debugging, don't fork (also passed to fenced)

Fenced options:
  these are passed on to fenced when it's started
  -c               All nodes are in a clean state to start
  -j <secs>        Post-join fencing delay
  -f <secs>        Post-fail fencing delay

[root@taft-04 ~]# fence_tool -c
Segmentation fault

Version-Release number of selected component (if applicable):
[root@taft-04 ~]# fence_tool -V
fence_tool 1.32.11 (built Dec 14 2005 17:27:54)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.
Comment 1 Jim Parsons 2005-12-20 09:46:30 EST
This should be an easy fix - Marking as assigned and addressing work.
Comment 2 Jim Parsons 2005-12-20 13:17:43 EST
Fixed in U3 tree
Comment 3 Corey Marthaler 2006-01-24 17:39:39 EST
fix verified.
Comment 5 Red Hat Bugzilla 2006-03-09 14:53:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0242.html

Note You need to log in before you can comment on or make changes to this bug.